Class | AMQP::Logger
In: | lib/amqp/deprecated/logger.rb
Parent: | Object

@private

### Methods

disable disabled? enable log method_missing new print printer printer

### External Aliases

prop | -> | base

### Attributes

prop | [R] |

### Public Class methods

disable()
disabled?()
enable()
new(*args, &block)
printer(&block)

### Public Instance methods

log(severity, *args)
method_missing(severity, *args)

Alias for log

print(data = nil, &block)
printer(data = nil, &block)

Alias for print

[Validate]